<?php
/**
 *
 * @package XCube
 * @version $Id: XCube_Permission.class.php,v 1.1.2.2 2006/12/26 14:30:54 nobunobu Exp $
 * @copyright Copyright 2005, 2006 XOOPS Cube Project <http://xoopscube.org/>
 * @license http://xoopscube.sourceforge.net/bsd_licenses.txt Modified BSD license
 *
 */

/**
 * XCube_PermissionUtils
 */
class XCube_Permissions
{
	function getRolesOfAction()
	{
		$args = func_get_args();
		$actionName = array_shift($args);
		
		$root =& XCube_Root::getSingleton();
		return $root->mPermissionManager->getRolesOfAction($actionName, $args);
	}
}

class XCube_AbstractPermissionProvider
{
	function XCube_AbstractPermissionProvider()
	{
	}
	
	function prepare()
	{
	}
	
	function getRolesOfAction($actionName, $args)
	{
	}
}

?>